# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['Linux/Qt5', 'FreeBSD/Qt5', 'Windows/Qt5']
  'require':
    'frameworks/extra-cmake-modules': '@latest'
    'frameworks/kconfig': '@latest'
    'frameworks/kconfigwidgets': '@latest'
    'frameworks/kcoreaddons': '@latest'
    'frameworks/kguiaddons': '@latest'
    'frameworks/ki18n': '@latest'
    'frameworks/kiconthemes': '@latest'
    'frameworks/kirigami': '@latest'
    'frameworks/kwindowsystem': '@latest'

- 'on': ['Linux/Qt5', 'FreeBSD/Qt5']
  'require':
    'frameworks/frameworkintegration': '@latest'
    'frameworks/kcmutils': '@latest'

- 'on': ['Linux/Qt6', 'FreeBSD/Qt6', 'Windows/Qt6']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kguiaddons': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kiconthemes': '@latest-kf6'
    'frameworks/kirigami': '@latest-kf6'
    'frameworks/kwindowsystem': '@latest-kf6'
    'frameworks/kcolorscheme': '@latest-kf6'

- 'on': ['Linux/Qt6', 'FreeBSD/Qt6']
  'require':
    'plasma/kdecoration': '@same'
    'frameworks/frameworkintegration': '@latest-kf6'
    'frameworks/kcmutils': '@latest-kf6'

Options:
  require-passing-tests-on: [ 'Linux', 'FreeBSD', 'Windows']
